Subject: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: "John Wiegley" <[email-masked]>
Date: Sat, 25 Nov 2017 19:21:01 -0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

EZ> Not just eshell/date: many Eshell built-ins behave like that, and they do
EZ> that on purpose.

eshell/date is an alias for `current-time-string'. The fact that this Lisp
function accepts arguments, and those arguments can be passed on the Eshell
command-line, isn't something I thought of at the time.

In hindsight, a separate eshell/date function should have been created that
would handle its arguments like the system command.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2